#ifndef _TYPECONVH_
#define _TYPECONVH_
//
// Module: TYPE CONVERSION MODULE
// Author: Michael Scott Stuart
// Notice: Copyright 2007 Michael Scott Stuart
// Status: Debugging.
/*
	1/28/07 - Initial coding.
*/

//
// INTERFACE HEADERS
//
// CRM32Pro header include
//#ifndef CRM32Pro_H
//#include "Crm32Pro.h"
//#endif // CRM32Pro_H

// <string> class header include
#ifndef _STRING_
#include <string>
#endif // _STRING_
using namespace std;

//
// INTERFACE DEFINITIONS
//

//
// INTERFACE FUNCTION PROTOTYPES
//
// Converts a string object to char text string. (instead of a const char*)
char* stoa(string str);

// Converts an integer to a char*. Note: Assumes base 10.
char* itoa(int i, char* str);

// Converts a string object to an integer.
int stoi(string str);


#endif // _TYPECONVH_

// Module: TYPE CONVERSION MODULE