/*
	Module:		Tileset Interface
	Programmer:	Michael Scott Stuart
	Version:	1.1.7
	Modified:	10/22/07
	Created:	10/18/07 
	Library:	CRM32Pro 4.9.9.0

	1.1.7:

		[10/21/07][MSS][ALL]:	Added tons of functionality to the module. The module is 
								now complete from the original code that was in sts_editor.cpp.

	1.0.7:

		[10/08/07][MSS][ALL]:	Created.
*/
#pragma once

#include "stdafx.h"

bool isTSWinActive(void);
void setTSWinActive(void);

void setTSWinDPFPath(string DPFPath);
void setTSWinTSPath(string TSPath);
const string getTSWinDPFPath(void);
const string getTSWinTSPath(void);

void loadTSWinTileset(void);
void freeTSWinTileset(void);

CRM32Pro_CTile* getTSWinTileset(void);

const string getTSWinStatus(void);

void performTSWinLogic(void);
void renderTSWin(void);