//
// Module: TYPE CONVERSION MODULE
// Author: Michael Scott Stuart
// Notice: Copyright 2007 Michael Scott Stuart
// Status: Debugging

//
// IMPLEMENTATION
//

//
// HEADERS/DEFINITIONS/LIBS IMPLEMENTATION 
//
#include "type_conv.h"

//
// DATA IMPLEMENTATION
//

//
// FUNCTIONS IMPLEMENTATION
//
// 
// Converts a string object to char text string. (instead of a const char*)
char* stoa(string str)
{	
	return (char*)str.c_str();
}

// Converts an integer to a char text string. Note: Assumes base 10.
char* itoa(int i, char* str)
{	
	_itoa(i, str, 10);
	return str;
}

// Converts a string object to an integer.
int stoi(string str)
{
	return atoi((char*)str.c_str());
}

// Module: TYPE CONVERSION MODULE